Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface TestResultTable.TreeObserver

All Known Subinterfaces:
  TestResultTable.TreeEventObserver

Enclosing class:
  TestResultTable

    public static interface TestResultTable.TreeObserver

Tree-aware observer of the TRT.

Since:
  3.0

Method Summary
`void` | `nodeChanged(TestResultTable.TreeNode[] path, java.lang.Object what, int index, java.lang.Object old)` A node has changed.
`void` | `nodeInserted(TestResultTable.TreeNode[] path, java.lang.Object what, int index)` A node has been inserted into the tree.
`void` | `nodeRemoved(TestResultTable.TreeNode[] path, java.lang.Object what, int index)` An item has been removed from the tree.

Method Detail

### nodeInserted

    void nodeInserted(TestResultTable.TreeNode[] path,
                      java.lang.Object what,
                      int index)

  A node has been inserted into the tree.

  Parameters:
    `path` - The path to the node that was inserted. Does not include the actual object which is new.
    `what` - The actual object that changed. So `path` plus this is the entire path. The type will either be TestResult or TreeNode.
    `index` - The index in `path[path.length-1]` where the new node was placed.

### nodeChanged

    void nodeChanged(TestResultTable.TreeNode[] path,
                     java.lang.Object what,
                     int index,
                     java.lang.Object old)

  A node has changed. In the case of a test changing, the old object is the test result being replaced. In the case of a branch changing, the old object is the same as the what object.

  Parameters:
    `path` - The path to the node that changed. Does not include the actual object which changed.
    `what` - The actual object that changed. So `path` plus this is the entire path. The type will either be TestResult or TreeNode.
    `index` - The index in `path[path.length-1]` that changed.
    `old` - The old value at the changed location.

### nodeRemoved

    void nodeRemoved(TestResultTable.TreeNode[] path,
                     java.lang.Object what,
                     int index)

  An item has been removed from the tree.

  Parameters:
    `path` - The path to the node that changed. Does not include the actual object which changed.
    `what` - The actual object that was removed. So `path` plus this is the entire path. The type will either be TestResult or TreeNode.
    `index` - The index in `path[path.length-1]` that was removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.